import { PropTypes } from 'prop-types';
import tagAttributeProps, { tagAttributePropsName } from "../../../propTypes/htmlAttributes.propTypes";
import customClassProps, { customClassPropName } from "../../../propTypes/customClassName.propTypes";
import automationProps, { automationPropsName } from "../../../propTypes/automation.propTypes";
import defaultCustomIds from "./Month.customIds";
import MonthSkeleton from './Month.skeleton';
export default {
  month: PropTypes.oneOf([PropTypes.number.isRequired, PropTypes.string.isRequired]),
  isActive: PropTypes.bool,
  displayText: PropTypes.string,
  hoverText: PropTypes.string,
  onClick: PropTypes.func,
  renderComponent: PropTypes.func,
  monthNamesData: PropTypes.array,
  disabled: PropTypes.bool,
  ...customClassProps,
  ...automationProps,
  ...tagAttributeProps
};
export const defaultProps = {
  disabled: false,
  renderComponent: MonthSkeleton,
  [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};
export const propsDescription = {};