import { compileClassNames } from '@zohodesk/utils';
/**
 * container classname based on js state
 * @param {object} props tag props
 * @param {object} style tag syle
 * @returns {string} classnames string with space separate
 */

export default function (props, style) {
  let {
    textEllipsis,
    size,
    shape,
    variant,
    color,
    disabled
  } = props;
  return compileClassNames({
    [style.base]: true,
    [style.ellipsis]: !!textEllipsis,
    [style[size]]: !!size,
    [style[shape]]: !!shape,
    [style[variant]]: !!variant,
    [style[color]]: !!color,
    [style.disabled]: !!disabled
  });
}