import PropTypes from "prop-types";
import ariaProps from "./TreeViewer.ariaPropTypes";
import tagAttributeProps, { tagAttributePropsName } from "../../propTypes/htmlAttributes.propTypes";
import customClassProps, { customClassPropName } from "../../propTypes/customClassName.propTypes";
import automationProps, { automationPropsName } from "../../propTypes/automation.propTypes";
import defaultCustomIds from "./TreeViewer.customIds";
import constantProps from "./TreeViewer.constantProps";
const treeViewerPropTypes = {
  needExpandAll: PropTypes.bool,
  isExpandAll: PropTypes.bool,
  ...ariaProps,
  ...customClassProps,
  ...automationProps,
  ...tagAttributeProps
};
export default treeViewerPropTypes;
export const defaultProps = {
  required: false,
  [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};
export const propsDescription = {
  id: "An id attribute to allow the <Textarea> component for accessibility purposes."
};
const treeViewerItemPropTypes = {
  id: PropTypes.string,
  heading: PropTypes.func,
  ...ariaProps,
  ...customClassProps,
  ...automationProps,
  ...tagAttributeProps
};